## sqlparse 0.1.3

=== Makefile ===
# Makefile to simplify some common development tasks.
# Run 'make help' for a list of commands.

PYTHON=`which python`

default: help

help:
	@echo "Available commands:"
	@sed -n '/^[a-zA-Z0-9_.]*:/s/:.*//p' <Makefile | sort

test:
	$(PYTHON) tests/run_tests.py

coverage:
	nosetests --with-coverage --cover-inclusive --cover-package=sqlparse

clean:
	$(PYTHON) setup.py clean
	find . -name '*.pyc' -delete
	find . -name '*~' -delete

## sqlparse 0.1.2

=== debian/changelog ===
sqlparse (0.1.2-2) unstable; urgency=low

  * Team upload.
  * Rebuild for Python 2.7 transition 

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 23 Apr 2011 10:49:41 +0200

sqlparse (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #606104)

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Mon, 06 Dec 2010 22:01:20 +0200

=== debian/control ===
Source: sqlparse
Section: python
Priority: optional
Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.5-13~)
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/python-sqlparse/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sqlparse/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sqlparse/trunk/
X-Python-Version: >= 2.5

Package: python-sqlparse
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: ${python:Breaks}
Description: non-validating SQL parser for Python
 Sqlparse is a library which provides support for parsing, splitting and 
 customizable formatting of SQL statements in Python environment. 
 .
 This package also provides sqlformat script which can be used as external 
 SQL formatting utility.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for ver in $(shell pyversions -vr); do \
		python$$ver tests/run_tests.py; \
	done
endif

override_dh_compress:
	# Document files got accidentally compressed, excluding these files
	dh_compress -X.rst

=== debian/watch ===
version=3
http://code.google.com/p/python-sqlparse/downloads/list .*/sqlparse-(.*)\.tar\.gz

## sqlparse 0.1.3

=== debian/changelog ===
sqlparse (0.1.3-1) unstable; urgency=low

  * New upstream version.
  * Fix debian/watch.
  * Bump Standards-Version to 3.9.2.
  * Manpage migrated into upstream, using it.
  * Include HTML documentation generated with Sphinx rather than .rst files.
  * debian/copyright: switch to DEP-5 format.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 02 Sep 2011 20:23:43 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.5-13~)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.5-13~), python-sphinx (>= 0.6.6-3)
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/python-sqlparse/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/sqlparse/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sqlparse/trunk/
@@ -12,7 +12,7 @@
 
 Package: python-sqlparse
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
 Breaks: ${python:Breaks}
 Description: non-validating SQL parser for Python
  Sqlparse is a library which provides support for parsing, splitting and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --with sphinxdoc --buildsystem python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for ver in $(shell pyversions -vr); do \
		python$$ver tests/run_tests.py; \
	done
endif

override_dh_clean:
	rm -fR docs/build
	dh_clean

build: build-indep
build-indep: docs/build/html

docs/build/html:
	cd docs && $(MAKE) html

=== debian/watch ===
version=3
opts=downloadurlmangle=s/.*\/\//http:\/\// \
    http://code.google.com/p/python-sqlparse/downloads/list \
    .*\/sqlparse-(.*)\.tar\.gz

## sqlparse 0.1.4

=== debian/changelog ===
sqlparse (0.1.4-1) unstable; urgency=low

  * New upstream version.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Sat, 21 Apr 2012 12:41:52 +0300

sqlparse (0.1.3-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Bump minimum required python-sphinx version to 1.0.7+dfsg.

  [ Andriy Senkovych ]
  * Bump Standards-Version to 3.9.3.
  * Add doc-base documentation reference.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Mon, 27 Feb 2012 23:24:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.5-13~), python-sphinx (>= 0.6.6-3)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.5-13~), python-sphinx (>= 1.0.7+dfsg)
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/python-sqlparse/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/sqlparse/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sqlparse/trunk/

## sqlparse 0.1.8

=== debian/changelog ===
sqlparse (0.1.8-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Andriy Senkovych ]
  * New upstream release
  * Upload to unstable
  * Add replaces/breaks relation to make separate sqlparse upgrade smoothly
    (Closes: #717972)
  * Bump Standards-Version to 3.9.4. Create empty build-arch target.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Wed, 07 Aug 2013 00:20:01 +0300

sqlparse (0.1.6-1) experimental; urgency=low

  * New upstream version. (Closes: #702197, #677982)
  * Bump Standards-Version to 3.9.4. No changes required.
  * debian/copyright: new contributor added.
  * Add python3 support using automatic 2to3 conversion.
  * Move documentation to its own package python-sqlparse-doc.
  * Add dependency on python-setuptools, python-pytest.
  * Use alternatives mechanism to provide /usr/bin/sqlformat.
  * Update project homepage and debian/watch.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 08 Mar 2013 21:15:06 +0200

=== debian/control ===
Source: sqlparse
Section: python
Priority: optional
Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.5-13~), python3-all (>= 3.2), python-sphinx (>= 1.0.7+dfsg), python-pytest, python3-pytest, python-setuptools, python3-setuptools
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/python-sqlparse/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlparse/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlparse/trunk/
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2

Package: python-sqlparse
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: ${python:Breaks}
Suggests: python-sqlparse-doc (>= 0.1.6-1)
Description: non-validating SQL parser for Python
 Sqlparse is a library which provides support for parsing, splitting and 
 customizable formatting of SQL statements in Python environment. 
 .
 This package also provides sqlformat script which can be used as external 
 SQL formatting utility.
 .
 This is the Python 2 version of the package.

Package: python3-sqlparse
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-sqlparse-doc (>= 0.1.6-1)
Description: non-validating SQL parser for Python
 Sqlparse is a library which provides support for parsing, splitting and 
 customizable formatting of SQL statements in Python environment. 
 .
 This package also provides sqlformat script which can be used as external 
 SQL formatting utility.
 .
 This is the Python 3 version of the package.

Package: python-sqlparse-doc
Architecture: all
Section: doc
Replaces: python-sqlparse(<< 0.1.6-1)
Breaks: python-sqlparse (<< 0.1.6-1)
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: non-validating SQL parser for Python
 Sqlparse is a library which provides support for parsing, splitting and 
 customizable formatting of SQL statements in Python environment. 
 .
 This package also provides sqlformat script which can be used as external 
 SQL formatting utility.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem python_distutils


ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python3%:
	2to3 -w sqlparse tests
	py.test-3$* -v
	find . -name \*.bak |xargs rename -vf 's/\.bak$$//' 

test-python%:
	py.test-$* -v

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

build-python3%:
	python3 setup.py build

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python3%:
	python3$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	mv debian/tmp/usr/bin/sqlformat debian/tmp/usr/bin/sqlformat-3
	2to3 -nw debian/tmp/usr/bin/sqlformat-3

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install
	mv debian/tmp/usr/bin/sqlformat debian/tmp/usr/bin/sqlformat-2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build build *.egg-info
	rm -f debian/sqlformat-2.1 debian/sqlformat-3.1

install-manpages3%:
	cp docs/sqlformat.1 debian/sqlformat-3.1
	dh_installman -p python3-sqlparse debian/sqlformat-3.1

override_dh_installman: $(PYTHON3:%=install-manpages%)
	cp docs/sqlformat.1 debian/sqlformat-2.1
	dh_installman -p python-sqlparse debian/sqlformat-2.1

build: build-indep
build-indep: docs/build/html

build-arch:

docs/build/html:
	cd docs && $(MAKE) html

## sqlparse 0.1.10

=== debian/changelog ===
sqlparse (0.1.10-1) unstable; urgency=low

  * New upstream release(Closes: #722198)
  * Switch to pybuild
  * debian/control:
    - Build-Depend on dh-python
    - Fix package descriptions

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Wed, 23 Oct 2013 20:04:00 +0300

=== debian/control ===
Source: sqlparse
Section: python
Priority: optional
Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-python,
 python-all (>= 2.6.5-13~), python3-all (>= 3.2),
 python-sphinx (>= 1.0.7+dfsg),
 python-pytest, python3-pytest,
 python-setuptools, python3-setuptools
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/python-sqlparse/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlparse/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlparse/trunk/
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2

Package: python-sqlparse
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Breaks: ${python:Breaks}
Suggests: python-sqlparse-doc (>= 0.1.6-1)
Description: non-validating SQL parser for Python 2
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This package also provides sqlformat script which can be used as external
 SQL formatting utility.
 .
 This is the Python 2 version of the package.

Package: python3-sqlparse
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-sqlparse-doc (>= 0.1.6-1)
Description: non-validating SQL parser for Python 3
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This package also provides sqlformat script which can be used as external
 SQL formatting utility.
 .
 This is the Python 3 version of the package.

#Package: pypy-sqlparse
#Architecture: all
#Depends: ${misc:Depends}, ${pypy:Depends}, pypy
#Suggests: python-sqlparse-doc (>= 0.1.6-1)
#Description: non-validating SQL parser for PyPy
# Sqlparse is a library which provides support for parsing, splitting and
# customizable formatting of SQL statements in Python environment.
# .
# This package also provides sqlformat script which can be used as external
# SQL formatting utility.
# .
# This is the PyPy version of the package.

Package: python-sqlparse-doc
Architecture: all
Section: doc
Replaces: python-sqlparse(<< 0.1.6-1)
Breaks: python-sqlparse (<< 0.1.6-1)
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: documentation for non-validating SQL parser in Python
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This package also provides sqlformat script which can be used as external
 SQL formatting utility.
 .
 This package contains HTML documentation for provided module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sqlparse
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-v
# Run 2to3 against tests files if testing against python3, clean up afterwards
export PYBUILD_BEFORE_TEST=cp -R {dir}/tests {build_dir}; [ "{version.major}" = "2" ] || 2to3 -w {build_dir}/tests
export PYBUILD_AFTER_TEST=rm -fR {build_dir}/tests
# Disabling running tests for pypy for now due to missing dependencies
#export PYBUILD_DISABLE_pypy=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build debian/sqlformat-*.1

override_dh_installman:
	cp docs/sqlformat.1 debian/sqlformat-2.1
	dh_installman -p python-sqlparse debian/sqlformat-2.1
	cp docs/sqlformat.1 debian/sqlformat-3.1
	dh_installman -p python3-sqlparse debian/sqlformat-3.1
	#cp docs/sqlformat.1 debian/sqlformat-pypy.1
	#dh_installman -p pypy-sqlparse debian/sqlformat-pypy.1

override_dh_auto_install:
	dh_auto_install
	#sed -i '1s/python/pypy/' debian/pypy-sqlparse/usr/lib/pypy/bin/sqlformat
	mv debian/python-sqlparse/usr/bin/sqlformat \
		debian/python-sqlparse/usr/bin/sqlformat-2
	mv debian/python3-sqlparse/usr/bin/sqlformat \
		debian/python3-sqlparse/usr/bin/sqlformat-3

build: build-indep
build-indep: docs/build/html

build-arch:

docs/build/html:
	cd docs && $(MAKE) html

=== debian/watch ===
version=3
https://pypi.python.org/pypi/sqlparse/ \
    .*\/sqlparse-([0-9.]+).tar.gz

## sqlparse 0.1.11

=== debian/changelog ===
sqlparse (0.1.11-1) unstable; urgency=medium

  * New upstream release
  * Add pypy support by creating pypy-sqlparse binary package
  * Add separate sqlformat package which depends on python3-sqlparse
  * Do not use alternatives mechanism any more since sqlformat scripts provide
    the same functionality.
  * Bump Standards-Version to 3.9.5.0. No changes required.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Wed, 06 Aug 2014 02:29:13 +0300

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
  python-all (>= 2.6.5-13~), python3-all (>= 3.2),
  python-sphinx (>= 1.0.7+dfsg),
  python-pytest, python3-pytest,
- python-setuptools, python3-setuptools
-Standards-Version: 3.9.4
+ python-setuptools, python3-setuptools,
+ pypy
+Standards-Version: 3.9.5.0
 Homepage: http://code.google.com/p/python-sqlparse/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlparse/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlparse/trunk/
@@ -42,18 +43,18 @@
  .
  This is the Python 3 version of the package.
 
-#Package: pypy-sqlparse
-#Architecture: all
-#Depends: ${misc:Depends}, ${pypy:Depends}, pypy
-#Suggests: python-sqlparse-doc (>= 0.1.6-1)
-#Description: non-validating SQL parser for PyPy
-# Sqlparse is a library which provides support for parsing, splitting and
-# customizable formatting of SQL statements in Python environment.
-# .
-# This package also provides sqlformat script which can be used as external
-# SQL formatting utility.
-# .
-# This is the PyPy version of the package.
+Package: pypy-sqlparse
+Architecture: all
+Depends: ${misc:Depends}, ${pypy:Depends},
+Suggests: python-sqlparse-doc (>= 0.1.6-1)
+Description: non-validating SQL parser for PyPy
+ Sqlparse is a library which provides support for parsing, splitting and
+ customizable formatting of SQL statements in Python environment.
+ .
+ This package also provides sqlformat script which can be used as external
+ SQL formatting utility.
+ .
+ This is the PyPy version of the package.
 
 Package: python-sqlparse-doc
 Architecture: all
@@ -69,3 +70,12 @@
  SQL formatting utility.
  .
  This package contains HTML documentation for provided module.
+
+Package: sqlformat
+Architecture: all
+Section: text
+Depends: ${misc:Depends}, ${python3:Depends}, python3-sqlparse (= ${binary:Version})
+Description: SQL formatting utility
+ The sqlformat command-line tool can be used to reformat SQL file according to
+ specified options or prepare a snippet in some programming language (only
+ Python and PHP currently supported).

## sqlparse 0.1.13

=== debian/changelog ===
sqlparse (0.1.13-2ubuntu1) vivid; urgency=medium

  * Disable building pypy-sqlparse (universe).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 21:31:15 +0100

sqlparse (0.1.13-2) unstable; urgency=medium

  * Update debian/watch.
  * Add autopkgtest support.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Fri, 24 Oct 2014 18:25:59 +0300

sqlparse (0.1.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No changes required.
  * Correctly remove alternatives for old package versions.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Thu, 09 Oct 2014 17:07:59 +0300

=== debian/control ===
Source: sqlparse
Section: python
Priority: optional
Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-python,
 python-all (>= 2.6.5-13~), python3-all (>= 3.2),
 python-sphinx (>= 1.0.7+dfsg),
 python-pytest, python3-pytest,
 python-setuptools, python3-setuptools
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/python-sqlparse/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlparse/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlparse/trunk/
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Testsuite: autopkgtest

Package: python-sqlparse
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Breaks: python-sqlparse (<< 0.1.12-1)
Suggests: python-sqlparse-doc (>= 0.1.6-1)
Description: non-validating SQL parser for Python 2
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This is the Python 2 version of the package.

Package: python3-sqlparse
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Breaks: python3-sqlparse (<< 0.1.12-1)
Suggests: python-sqlparse-doc (>= 0.1.6-1)
Description: non-validating SQL parser for Python 3
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This is the Python 3 version of the package.

Package: python-sqlparse-doc
Architecture: all
Section: doc
Replaces: python-sqlparse(<< 0.1.6-1)
Breaks: python-sqlparse (<< 0.1.6-1)
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: documentation for non-validating SQL parser in Python
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This package contains HTML documentation for provided module.

Package: sqlformat
Architecture: all
Section: text
Depends: ${misc:Depends}, ${python3:Depends}, python3-sqlparse (= ${binary:Version})
Breaks: python-sqlparse (<< 0.1.12-1), python3-sqlparse(<< 0.1.12-1)
Description: SQL formatting utility
 The sqlformat command-line tool can be used to reformat SQL file according to
 specified options or prepare a snippet in some programming language (only
 Python and PHP currently supported).

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sqlparse
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-v
# Run 2to3 against tests files if testing against python3, clean up afterwards
export PYBUILD_BEFORE_TEST=cp -R {dir}/tests {build_dir}; [ "{version.major}" = "2" ] || 2to3 -w {build_dir}/tests
export PYBUILD_AFTER_TEST=rm -fR {build_dir}/tests
# Disabling running tests for pypy for now due to missing dependencies
export PYBUILD_DISABLE_pypy=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build

override_dh_pypy:
	# No PyPy cli script.
	rm -rf debian/pypy-sqlparse/usr/bin
	dh_pypy

override_dh_python2:
	# No Python 2 cli script.
	rm -rf debian/python-sqlparse/usr/bin
	dh_python2

override_dh_auto_install:
	dh_auto_install
	# Use the separate binary package for the cli script.
	mkdir -p debian/sqlformat/usr/bin
	mv debian/python3-sqlparse/usr/bin/sqlformat \
	   debian/sqlformat/usr/bin
	rm -rf debian/python3-sqlparse/usr/bin

build: build-indep
build-indep: docs/build/html

build-arch:

docs/build/html:
	cd docs && $(MAKE) html

## sqlparse 0.1.18

=== debian/changelog ===
sqlparse (0.1.18-1) unstable; urgency=low

  * New upstream release.
  * Source tarballs are now signed correctly again.

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Wed, 04 Nov 2015 14:46:56 +0200

sqlparse (0.1.16-1) unstable; urgency=medium

  * New upstream release (Closes: #794452)
  * Update project homepage and copyright source URLs.
  * Use pypi.debian.net for debian/watch.
  * Raise dh compat level to 9
  * Remove unnecessary dependencies on self
  * Update short license names

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Sun, 20 Sep 2015 14:31:21 +0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-python,
+Build-Depends: debhelper (>= 9), dh-python,
  python-all (>= 2.6.5-13~), python3-all (>= 3.2),
  python-sphinx (>= 1.0.7+dfsg),
  python-pytest, python3-pytest,
- python-setuptools, python3-setuptools
+ python-setuptools, python3-setuptools,
+ pypy
 Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/python-sqlparse/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sqlparse/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sqlparse/trunk/
+Homepage: https://github.com/andialbrecht/sqlparse
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/sqlparse.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlparse.git
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Testsuite: autopkgtest
@@ -19,7 +20,6 @@
 Package: python-sqlparse
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
-Breaks: python-sqlparse (<< 0.1.12-1)
 Suggests: python-sqlparse-doc (>= 0.1.6-1)
 Description: non-validating SQL parser for Python 2
  Sqlparse is a library which provides support for parsing, splitting and
@@ -30,13 +30,22 @@
 Package: python3-sqlparse
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Breaks: python3-sqlparse (<< 0.1.12-1)
 Suggests: python-sqlparse-doc (>= 0.1.6-1)
 Description: non-validating SQL parser for Python 3
  Sqlparse is a library which provides support for parsing, splitting and
  customizable formatting of SQL statements in Python environment.
  .
  This is the Python 3 version of the package.
+
+Package: pypy-sqlparse
+Architecture: all
+Depends: ${misc:Depends}, ${pypy:Depends},
+Suggests: python-sqlparse-doc (>= 0.1.6-1)
+Description: non-validating SQL parser for PyPy
+ Sqlparse is a library which provides support for parsing, splitting and
+ customizable formatting of SQL statements in Python environment.
+ .
+ This is the PyPy version of the package.
 
 Package: python-sqlparse-doc
 Architecture: all

=== debian/tests/control ===
Tests: python-sqlparse
Depends: python-all, python-sqlparse, python-pytest

Tests: python3-sqlparse
Depends: python-all, python3-sqlparse, python3-pytest
Restrictions: allow-stderr

## sqlparse 0.2.2

=== debian/changelog ===
sqlparse (0.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Andriy Senkovych ]
  * New upstream version 0.2.2 (Closes: #834826)
  * Bump Standards-Version to 3.9.8. No changes required.
  * Add pypy-setuptools to Depends

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Tue, 08 Nov 2016 03:00:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  python-all (>= 2.6.5-13~), python3-all (>= 3.2),
  python-sphinx (>= 1.0.7+dfsg),
  python-pytest, python3-pytest,
- python-setuptools, python3-setuptools,
+ python-setuptools, python3-setuptools, pypy-setuptools,
  pypy
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/andialbrecht/sqlparse
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/sqlparse.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sqlparse.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sqlparse.git
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2

## sqlparse 0.2.4

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,17 @@
 	@sed -n '/^[a-zA-Z0-9_.]*:/s/:.*//p' <Makefile | sort
 
 test:
-	$(PYTHON) tests/run_tests.py
+	tox
 
 coverage:
-	nosetests --with-coverage --cover-inclusive --cover-package=sqlparse
+	py.test --cov=sqlparse --cov-report=html --cov-report=term
 
 clean:
 	$(PYTHON) setup.py clean
 	find . -name '*.pyc' -delete
 	find . -name '*~' -delete
+
+release:
+	@rm -rf dist/
+	python setup.py sdist upload --sign --identity E0B84F81
+	python setup.py bdist_wheel upload --sign --identity E0B84F81

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/python-sqlparse.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/python-sqlparse.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

=== debian/changelog ===
sqlparse (0.2.4-3ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: ReDoS
    - debian/patches/CVE-2023-30608.patch: remove unnecessary parts
      in regex for bad escaping in sqlparse/keywords.py.
    - CVE-2023-30608

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 04 May 2023 10:27:22 -0300

sqlparse (0.2.4-3) unstable; urgency=medium

  * debian/tests/control
    - depends on python3-all

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2020 18:26:44 -0500

sqlparse (0.2.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938558

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 12:47:28 -0500

sqlparse (0.2.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove Testsuite field, not needed anymore
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Andrii Senkovych ]
  * d/control, d/compat: raise compat level to 11.
  * d/control, d/copyright: update maintainers email and proper name spelling.
  * d/control: bump Standards-Version to 4.2.0.
  * d/control: add Rules-Requires-Root header set to no.
  * d/control: add specific dependency on 2to3 (Closes: #884670)
  * d/tests/control: add explicit dependency on 2to3.
  * d/control: switch to python3-sphinx.
  * d/control: add Built-Using header to the -doc package.
  * Update doc-base file reference to the correct destination.
  * Remove copyright info on removed file sqlparse/pipeline.py.
  * Update copyright text according to upstream LICENSE file.
  * New upstream version 0.2.4
  * Acknowledge changes from NMU. Thanks to Matthias Klose.

 -- Andrii Senkovych <andrii@senkovych.com>  Tue, 21 Aug 2018 22:55:17 +0300

sqlparse (0.2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Build-depend on 2to3. Closes: #884670.
  * Add 2to3 to autopkg test depends. Closes: #889007.
  * Bump standards version.
  * Mark python-sqlparse-doc as M-A: foreign.
  * Build-depend on python3-sphinx instead of python-sphinx.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Feb 2018 17:27:17 +0100

=== debian/control ===
Source: sqlparse
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrii Senkovych <andrii@senkovych.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 11), dh-python, 2to3,
 python3-all (>= 3.2),
 python3-sphinx (>= 1.0.7+dfsg),
 python3-pytest,
 python3-setuptools, pypy-setuptools,
 pypy
Standards-Version: 4.2.0
Homepage: https://github.com/andialbrecht/sqlparse
Vcs-Git: https://salsa.debian.org/python-team/modules/sqlparse.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sqlparse
Rules-Requires-Root: no

Package: python3-sqlparse
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-sqlparse-doc (>= 0.1.6-1)
Description: non-validating SQL parser for Python 3
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This is the Python 3 version of the package.

Package: pypy-sqlparse
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends},
Suggests: python-sqlparse-doc (>= 0.1.6-1)
Description: non-validating SQL parser for PyPy
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This is the PyPy version of the package.

Package: python-sqlparse-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Replaces: python-sqlparse(<< 0.1.6-1)
Breaks: python-sqlparse (<< 0.1.6-1)
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for non-validating SQL parser in Python
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This package contains HTML documentation for provided module.

Package: sqlformat
Architecture: all
Section: text
Depends: ${misc:Depends}, ${python3:Depends}, python3-sqlparse (= ${binary:Version})
Breaks: python-sqlparse (<< 0.1.12-1), python3-sqlparse(<< 0.1.12-1)
Description: SQL formatting utility
 The sqlformat command-line tool can be used to reformat SQL file according to
 specified options or prepare a snippet in some programming language (only
 Python and PHP currently supported).

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_DISABLE_pypy=test
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with python3,pypy,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -20,11 +20,6 @@
 	# No PyPy cli script.
 	rm -rf debian/pypy-sqlparse/usr/bin
 	dh_pypy
-
-override_dh_python2:
-	# No Python 2 cli script.
-	rm -rf debian/python-sqlparse/usr/bin
-	dh_python2
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: python3-sqlparse
Depends: python3-all, python3-sqlparse, python3-pytest, 2to3
Restrictions: allow-stderr

## sqlparse 0.3.1

=== debian/changelog ===
sqlparse (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1 (Closes: #955418)
  * doc-base: update doc file references
  * d/control: Bump Standards-Version to 4.5.0 (no changes required)

 -- Andrii Senkovych <andrii@senkovych.com>  Wed, 22 Apr 2020 14:06:41 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sqlparse
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrii Senkovych <andrii@senkovych.com>
+Maintainer: Andrii Senkovych <andrii@senkovych.com>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 11), dh-python, 2to3,
  python3-all (>= 3.2),
@@ -10,7 +9,7 @@
  python3-pytest,
  python3-setuptools, pypy-setuptools,
  pypy
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/andialbrecht/sqlparse
 Vcs-Git: https://salsa.debian.org/python-team/modules/sqlparse.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sqlparse

## sqlparse 0.4.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	tox
 
 coverage:
-	py.test --cov=sqlparse --cov-report=html --cov-report=term
+	pytest --cov=sqlparse --cov-report=html --cov-report=term
 
 clean:
 	$(PYTHON) setup.py clean
@@ -22,5 +22,5 @@
 
 release:
 	@rm -rf dist/
-	python setup.py sdist upload --sign --identity E0B84F81
-	python setup.py bdist_wheel upload --sign --identity E0B84F81
+	python setup.py sdist bdist_wheel
+	twine upload --sign --identity E0B84F81 dist/*

=== debian/changelog ===
sqlparse (0.4.1-1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Michael R. Crusoe ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Add salsa-ci file (routine-update)
  * Drop pypy-sqlparse package. It doesn't build and there are no
    reverse-dependencies in Bullseye.
  * New upstream release fixes FTBFS with pytest-6. Closes: #977099

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Jan 2021 15:04:08 +0100

=== debian/control ===
Source: sqlparse
Maintainer: Andrii Senkovych <andrii@senkovych.com>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               2to3,
               python3-all,
               python3-sphinx,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlparse
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlparse.git
Homepage: https://github.com/andialbrecht/sqlparse
Rules-Requires-Root: no

Package: python3-sqlparse
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-sqlparse-doc
Description: non-validating SQL parser for Python 3
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This is the Python 3 version of the package.

Package: python-sqlparse-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for non-validating SQL parser in Python
 Sqlparse is a library which provides support for parsing, splitting and
 customizable formatting of SQL statements in Python environment.
 .
 This package contains HTML documentation for provided module.

Package: sqlformat
Architecture: all
Section: text
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-sqlparse (= ${binary:Version})
Description: SQL formatting utility
 The sqlformat command-line tool can be used to reformat SQL file according to
 specified options or prepare a snippet in some programming language (only
 Python and PHP currently supported).

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://pypi.debian.net/sqlparse \
    .*\/sqlparse-([0-9.]+)\.tar\.gz

## sqlparse 0.4.2

=== debian/changelog ===
sqlparse (0.4.2-1+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2023-30608: Parser contains a regular expression that is
    vulnerable to ReDOS. (Closes: #1034615)
  * Fix CVE-2024-4340: Parsing of heavily nested list leads to Denial of
    Service. (Closes: #1070148)
  * Adjust d/salsa-ci.yml for bookworm.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 21 Dec 2024 18:18:53 +0100

sqlparse (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Fixes CVE-2021-32839 (Closes: #994841)
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 01 Dec 2021 11:42:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-sphinx,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlparse
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlparse.git
 Homepage: https://github.com/andialbrecht/sqlparse

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://pypi.debian.net/sqlparse \
    .*\/sqlparse-([0-9.]+)\.tar\.gz

## sqlparse 0.4.4

=== Makefile ===
--- 
+++ 
@@ -22,5 +22,5 @@
 
 release:
 	@rm -rf dist/
-	python setup.py sdist bdist_wheel
+	python -m build
 	twine upload --sign --identity E0B84F81 dist/*

=== debian/changelog ===
sqlparse (0.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.4
  * CVE-2023-30608: ReDOS vulnerability in parser (Closes: 1034615)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 06 Jan 2024 23:21:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               2to3,
                python3-all,
+               pybuild-plugin-pyproject,
+               flit,
                python3-sphinx,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlparse
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlparse.git
 Homepage: https://github.com/andialbrecht/sqlparse
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-sqlparse
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sqlparse
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-v
# Disabling running tests for pypy for now due to missing dependencies
export PYBUILD_DISABLE_pypy=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build

# override_dh_pypy:
# 	# No PyPy cli script.
# 	rm -rf debian/pypy-sqlparse/usr/bin
# 	dh_pypy

override_dh_auto_install:
	dh_auto_install
	# Use the separate binary package for the cli script.
	mkdir -p debian/sqlformat/usr/bin
	mv debian/python3-sqlparse/usr/bin/sqlformat \
	   debian/sqlformat/usr/bin
	rm -rf debian/python3-sqlparse/usr/bin

build: build-indep
build-indep: docs/build/html

build-arch:

docs/build/html:
	cd docs && $(MAKE) html

=== debian/watch ===
version=4
https://pypi.debian.net/sqlparse \
 .*\/sqlparse-([0-9.]+)\.tar\.gz

## sqlparse 0.5.0

=== debian/changelog ===
sqlparse (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-4340: Fixes a potential denial of service attack due to
      recursion error for deeply nested statements (closes: #1070148).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 May 2024 18:47:20 +0100

## sqlparse 0.5.1

=== debian/changelog ===
sqlparse (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Jul 2024 12:07:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3-all,
                pybuild-plugin-pyproject,
-               flit,
+               python3-hatchling,
                python3-sphinx,
                python3-pytest,
                python3-setuptools

## sqlparse 0.5.2

=== debian/changelog ===
sqlparse (0.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Nov 2024 11:19:39 +0100

sqlparse (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * Use new dh-sequence-python3
  * Set DPT as Maintainer per new Team Policy

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Aug 2024 17:38:16 +0200

## sqlparse 0.5.3

=== debian/changelog ===
sqlparse (0.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Dec 2024 21:54:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: sqlparse
-Maintainer: Andrii Senkovych <andrii@senkovych.com>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Andrii Senkovych <andrii@senkovych.com>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                pybuild-plugin-pyproject,
                python3-hatchling,
@@ -26,8 +26,6 @@
 Description: non-validating SQL parser for Python 3
  Sqlparse is a library which provides support for parsing, splitting and
  customizable formatting of SQL statements in Python environment.
- .
- This is the Python 3 version of the package.
 
 Package: python-sqlparse-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_DISABLE_pypy=test
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with sphinxdoc --buildsystem pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

## sqlparse 0.5.4

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,20 @@
 	@sed -n '/^[a-zA-Z0-9_.]*:/s/:.*//p' <Makefile | sort
 
 test:
-	tox
+	pixi run test-all
+
+lint:
+	pixi run lint
 
 coverage:
-	pytest --cov=sqlparse --cov-report=html --cov-report=term
+	pixi run -e py311 coverage
+	pixi run -e py311 coverage-combine
+	pixi run -e py311 coverage-report
+
+coverage-xml:
+	pixi run -e py311 coverage
+	pixi run -e py311 coverage-combine
+	pixi run -e py311 coverage-xml
 
 clean:
 	$(PYTHON) setup.py clean
@@ -23,4 +33,5 @@
 release:
 	@rm -rf dist/
 	python -m build
-	twine upload --sign --identity E0B84F81 dist/*
+	hatch publish
+	@echo "Reminder: Add release on github https://github.com/andialbrecht/sqlparse/releases"

=== debian/changelog ===
sqlparse (0.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Remove old FSF postal address.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Dec 2025 20:19:58 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                python3-sphinx,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlparse
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlparse.git
 Homepage: https://github.com/andialbrecht/sqlparse
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-sqlparse
